export declare class LoggingSanitizer {
    private static emailRegex;
    static stripCustomContextDataValues(customContextData: any): void;
    static stripPreChatResponse(preChatResponse: any): void;
    static stripGeolocation(data: any): void;
    static stripAuthenticationUserToken(headers: any): void;
    static stripRequestHeadersSensitiveProperties(headers: any): void;
    static stripRequestPayloadData(configObject: any): void;
    static stripEmailDataFromError(payload: string): string;
    static stripAxiosErrorSensitiveProperties(errorObject: any): void;
    static stripErrorSensitiveProperties(errorObject: any): void;
}
